Plan Limits
curl --request GET \
--url https://api.example.com/api/v1/billing/plan-limitsimport requests
url = "https://api.example.com/api/v1/billing/plan-limits"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/billing/plan-limits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Billing
Plan Limits
Obtener los límites y uso actual del plan
GET
/
api
/
v1
/
billing
/
plan-limits
Plan Limits
Headers
| Header | Valor |
|---|---|
Authorization | Bearer {token} |
Response (200)
{
"plan": "enterprise",
"limits": {
"max_projects": 999999,
"max_cli_tools": 999999,
"max_members": 999999,
"skills_premium": true,
"skills_parallel": true,
"audit_cloud": true
},
"usage": {
"projects": 3,
"members": 1
}
}
Get Subscription
GET /api/v1/billing/subscription
Response (200)
{
"plan": "premium",
"status": "active",
"stripe_subscription_id": "sub_...",
"current_period_end": "2026-05-04T12:00:00"
}
Create Checkout
POST /api/v1/billing/create-checkout
Request Body
{
"success_url": "https://app.nexus.dev/dashboard/billing?session_id={CHECKOUT_SESSION_ID}",
"cancel_url": "https://app.nexus.dev/dashboard/billing"
}
Response (200)
{
"checkout_url": "https://checkout.stripe.com/c/pay/cs_...",
"session_id": "cs_..."
}
Confirm Subscription
POST /api/v1/billing/confirm-subscription
Request Body
{
"session_id": "cs_..."
}
Response (200)
{
"plan": "premium",
"status": "active",
"message": "Suscripción activada exitosamente"
}
Create Portal
POST /api/v1/billing/create-portal
Request Body
{
"return_url": "https://app.nexus.dev/dashboard/billing"
}
Response (200)
{
"portal_url": "https://billing.stripe.com/p/session/..."
}
⌘I

